<ng-container>
  <div class="bg" *ngIf="isAdmin">
    <img src="https://img3.goodfon.com/wallpaper/nbig/7/8f/art-microphone-serebristyy.jpg" alt="bg">
  </div>

  <div id="radioConsole" class="card">
    <div class="card-header text-center">
      <span class="label mr-2">Current radio:</span>
      <span *ngIf="currentRadio" class="value">{{currentRadio.title}}</span>
    </div>

    <div class="card-body" *ngIf="isAdmin">
      <div class="radio-list">
        <div *ngFor="let radioGroup of streamList">
          <div class="list-group-item list-group-item-action list-group-item-primary">
            <span class="mr-3">{{radioGroup.label}}</span>
            <span class="badge badge-warning badge-pill">{{radioGroup.list.length}}</span>
          </div>
          <ul class="list-group">
            <li *ngFor="let radio of radioGroup.list"
                class="list-group-item clickable"
                [ngClass]="{'active' : currentRadio?.title === radio.title}"
                (click)="setCurrentRadio(radio)">
              <span>{{radio.title}}</span>
            </li>
          </ul>
        </div>
      </div>
    </div>

    <div class="card-footer text-center">
      <div class="audio-player">
        <audio controls #radioPlayer>
          <source [src]="currentRadio?.url">
        </audio>
      </div>
    </div>
  </div>

</ng-container>
